#!/bin/bash -x

# you have to have rivetenv.sh sourced before running this

wget http://www.hepforge.org/archive/sherpa/SHERPA-MC-1.2.2.tar.gz || exit 1
tar xzf SHERPA-MC-1.2.2.tar.gz || exit 1
cd SHERPA-MC-1.2.2 || exit 1
patch -p0 < ../sc-crash.patch || exit 1
./configure --enable-rivet=$(rivet-config --prefix) --enable-hepmc2=$(rivet-config --prefix) || exit 1
make -j7 install || exit 1
cd .. || exit 1
rivet-buildplugin RivetMyAnalysis.so MYANALYSIS.cc || exit 1
export RIVET_ANALYSIS_PATH=. || exit 1
SHERPA-MC-1.2.2/bin/Sherpa
./makelibs
SHERPA-MC-1.2.2/bin/Sherpa || exit 1
SHERPA-MC-1.2.2/bin/Sherpa SPIN_CORRELATIONS=0 || exit 1
